%define major 2
%define libname %mklibname fuzzy %{major}
%define develname %mklibname fuzzy -d

Summary: Tool for computing context triggered piecewise hashes (CTPH)
Name: ssdeep
Version: 2.9
Release: %mkrel 2
License: GPLv2
Group: File tools
URL: http://ssdeep.sourceforge.net/
Source: http://dl.sf.net/project/ssdeep/ssdeep-%{version}/ssdeep-%{version}.tar.gz
BuildRoot: %{_tmppath}/root-%{name}-%{version}-%{release}-root

%description
ssdeep is a program for computing context triggered piecewise hashes (CTPH).
Also called fuzzy hashes, CTPH can match inputs that have homologies. Such
inputs have sequences of identical bytes in the same order, although bytes in
between these sequences may be different in both content and length.

%package -n %{libname}
Summary: Shared library for ssdeep
Group: System/Libraries

%description -n %{libname}
ssdeep is a program for computing context triggered piecewise hashes (CTPH).
Also called fuzzy hashes, CTPH can match inputs that have homologies. Such
inputs have sequences of identical bytes in the same order, although bytes in
between these sequences may be different in both content and length.

This package provides the shared library for ssdeep (-lfuzzy)

%package -n %{develname}
Summary: Development and documentation files for ssdeep
Group: Development/C
Requires: %{libname} >= %{version}
Provides: %{name}-devel = %{version}-%{release}
Provides: fuzzy-devel = %{version}-%{release}

%description -n	%{develname}
ssdeep is a program for computing context triggered piecewise hashes (CTPH).
Also called fuzzy hashes, CTPH can match inputs that have homologies. Such
inputs have sequences of identical bytes in the same order, although bytes in
between these sequences may be different in both content and length.

This package provides the development libraries, header files and documentation
for ssdeep.

%prep

%setup -q

%build
%configure2_5x \
    --disable-static
%make

%install
rm -rf %{buildroot}

%makeinstall_std

find %{buildroot} -name '*.la' -exec rm -f {} ';'

%files
%{_bindir}/ssdeep
%{_mandir}/man1/ssdeep.1*

%files -n %{libname}
%doc AUTHORS ChangeLog README FILEFORMAT INSTALL NEWS README TODO
%{_libdir}/*.so.%{major}*
%{_libdir}/lib*.so.*

%files -n %{develname}
%{_includedir}/*.h
%{_libdir}/*.so



%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.9-2.mga4
+ Revision: 523903
- Mageia 4 Mass Rebuild

* Sun May 26 2013 oden <oden> 2.9-1.mga4
+ Revision: 427947
- imported package ssdeep


* Wed May 01 2013 Oden Eriksson <oeriksson@mandriva.com> 2.9-1.mga2
- initial Mageia package
